From 2e2c0814a2d1abad828d4315a8d1011ccbd4fcca Mon Sep 17 00:00:00 2001
From: Andrea Adami <andrea.adami@gmail.com>
Date: Fri, 1 May 2009 16:47:48 +0200
Subject: [STABLE][PATCH 13/37] minilite: Makefile fix - don't strip on install

Signed-off-by: Koen Kooi <koen@openembedded.org>
---
 recipes/minilite/files/makefile-fix.patch |   11 +++++++++++
 recipes/minilite/minilite_0.41.bb         |    2 ++
 recipes/minilite/minilite_0.43.bb         |    2 ++
 recipes/minilite/minilite_0.44.bb         |    2 ++
 recipes/minilite/minilite_0.47.bb         |    2 ++
 recipes/minilite/minilite_0.48.bb         |    2 ++
 recipes/minilite/minilite_0.49.bb         |    2 ++
 recipes/minilite/minilite_0.50.bb         |    2 ++
 8 files changed, 25 insertions(+), 0 deletions(-)
 create mode 100644 recipes/minilite/files/makefile-fix.patch

diff --git a/recipes/minilite/files/makefile-fix.patch b/recipes/minilite/files/makefile-fix.patch
new file mode 100644
index 0000000..1be6cea
--- /dev/null
+++ b/recipes/minilite/files/makefile-fix.patch
@@ -0,0 +1,11 @@
+--- /tmp/Makefile.old	2006-01-16 22:51:34.000000000 +0100
++++ minilite-050/Makefile	2009-05-01 16:36:32.000000000 +0200
+@@ -45,7 +45,7 @@
+ 
+ install-program: all
+ 	mkdir -p $(DESTDIR)$(PREFIX)/bin
+-	$(INSTALL) -s $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/$(PACKAGE)
++	$(INSTALL) $(PACKAGE) $(DESTDIR)$(PREFIX)/bin/$(PACKAGE)
+ 	mkdir -p $(DESTDIR)$(PREFIX)/share/applications
+ 	$(INSTALL) -m 644 $(PACKAGE).desktop $(DESTDIR)$(PREFIX)/share/applications/$(PACKAGE).desktop
+ 	mkdir -p $(DESTDIR)$(PREFIX)/share/pixmaps/
diff --git a/recipes/minilite/minilite_0.41.bb b/recipes/minilite/minilite_0.41.bb
index 0f5b126..997ae93 100644
--- a/recipes/minilite/minilite_0.41.bb
+++ b/recipes/minilite/minilite_0.41.bb
@@ -7,4 +7,6 @@ DESCRIPTION = "GPE Screen light control dockapp"
 
 SRC_URI = "${GPE_MIRROR}/${PN}-${PV}.tar.gz"
 
+SRC_URI += "file://makefile-fix.patch;patch=1" 
+
 export CVSBUILD="no"
diff --git a/recipes/minilite/minilite_0.43.bb b/recipes/minilite/minilite_0.43.bb
index 0f5b126..997ae93 100644
--- a/recipes/minilite/minilite_0.43.bb
+++ b/recipes/minilite/minilite_0.43.bb
@@ -7,4 +7,6 @@ DESCRIPTION = "GPE Screen light control dockapp"
 
 SRC_URI = "${GPE_MIRROR}/${PN}-${PV}.tar.gz"
 
+SRC_URI += "file://makefile-fix.patch;patch=1" 
+
 export CVSBUILD="no"
diff --git a/recipes/minilite/minilite_0.44.bb b/recipes/minilite/minilite_0.44.bb
index 0f5b126..997ae93 100644
--- a/recipes/minilite/minilite_0.44.bb
+++ b/recipes/minilite/minilite_0.44.bb
@@ -7,4 +7,6 @@ DESCRIPTION = "GPE Screen light control dockapp"
 
 SRC_URI = "${GPE_MIRROR}/${PN}-${PV}.tar.gz"
 
+SRC_URI += "file://makefile-fix.patch;patch=1" 
+
 export CVSBUILD="no"
diff --git a/recipes/minilite/minilite_0.47.bb b/recipes/minilite/minilite_0.47.bb
index 0f5b126..997ae93 100644
--- a/recipes/minilite/minilite_0.47.bb
+++ b/recipes/minilite/minilite_0.47.bb
@@ -7,4 +7,6 @@ DESCRIPTION = "GPE Screen light control dockapp"
 
 SRC_URI = "${GPE_MIRROR}/${PN}-${PV}.tar.gz"
 
+SRC_URI += "file://makefile-fix.patch;patch=1" 
+
 export CVSBUILD="no"
diff --git a/recipes/minilite/minilite_0.48.bb b/recipes/minilite/minilite_0.48.bb
index 0f5b126..997ae93 100644
--- a/recipes/minilite/minilite_0.48.bb
+++ b/recipes/minilite/minilite_0.48.bb
@@ -7,4 +7,6 @@ DESCRIPTION = "GPE Screen light control dockapp"
 
 SRC_URI = "${GPE_MIRROR}/${PN}-${PV}.tar.gz"
 
+SRC_URI += "file://makefile-fix.patch;patch=1" 
+
 export CVSBUILD="no"
diff --git a/recipes/minilite/minilite_0.49.bb b/recipes/minilite/minilite_0.49.bb
index 0f5b126..997ae93 100644
--- a/recipes/minilite/minilite_0.49.bb
+++ b/recipes/minilite/minilite_0.49.bb
@@ -7,4 +7,6 @@ DESCRIPTION = "GPE Screen light control dockapp"
 
 SRC_URI = "${GPE_MIRROR}/${PN}-${PV}.tar.gz"
 
+SRC_URI += "file://makefile-fix.patch;patch=1" 
+
 export CVSBUILD="no"
diff --git a/recipes/minilite/minilite_0.50.bb b/recipes/minilite/minilite_0.50.bb
index 0f5b126..997ae93 100644
--- a/recipes/minilite/minilite_0.50.bb
+++ b/recipes/minilite/minilite_0.50.bb
@@ -7,4 +7,6 @@ DESCRIPTION = "GPE Screen light control dockapp"
 
 SRC_URI = "${GPE_MIRROR}/${PN}-${PV}.tar.gz"
 
+SRC_URI += "file://makefile-fix.patch;patch=1" 
+
 export CVSBUILD="no"
-- 
1.6.1

